> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an EOI by ID



## OpenAPI

````yaml get /eois/{id}
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /eois/{id}:
    get:
      tags:
        - EOIs
      summary: Retrieve an EOI by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: number
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    example: '6'
                  title:
                    type: string
                    example: Test fot API
                  description:
                    type: string
                    example: this is a test for api calling
                  status:
                    type: string
                    example: open
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  ended_at:
                    type: string
                    format: date-time
                  submission_deadline:
                    type: string
                    format: date-time
                  time_zone:
                    type: string
                    example: UTC
                  eoi_matches_count:
                    type: string
                    example: '4'
                  skill_category:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '1'
                      name:
                        type: string
                        example: Asset Management
                      slug:
                        type: string
                        example: asset-management
                  skill_subcategory:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '3'
                      name:
                        type: string
                        example: Asset Disposal
                      slug:
                        type: string
                        example: asset-disposal
                  owner:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '226'
                      first_name:
                        type: string
                        example: John
                      last_name:
                        type: string
                        example: Doe
                      email:
                        type: string
                        example: john.doe@example.com
                      vetting_status:
                        type: string
                        example: PASSED
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                  job:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '66'
                      title:
                        type: string
                        example: Project Management - Product Implementation
                      description:
                        type: string
                        example: Job description
                  eoi_responses:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '10'
                        proposal:
                          type: string
                          example: A proposal description
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        shortlisted_at:
                          type: string
                          format: date-time
                        rejected_at:
                          type: string
                          format: date-time
                        supplier:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: '226'
                            name:
                              type: string
                              example: Wells International
                            email:
                              type: string
                              example: john.doe@example.com
                            vetting_status:
                              type: string
                              example: PASSED
                            tax_number:
                              type: integer
                              example: '1234321'
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
        '401':
          description: unauthorized
        '404':
          description: not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````